View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
17665Bug reportsInstallationpublic2021-12-01 09:28
Reporternonformality Assigned Toollehar  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version5.x 
Summary17665: Update leads to database error integrity constraint violation because of duplicate entry
DescriptionWhen doing a minor update from 5.1.10 to 5.1.15, this error appears:

An non-recoverable error happened during the update. Error details:

CDbCommand failed to execute the SQL statement: SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate entry '41-1' for key 'lime_idx5_labels'

File updatedb_helper.php, line 4955.
Steps To ReproduceSteps to reproduce
------------------------------
Run manual minor version update with 5.x

Expected result
-------------------------
Update runs through smoothly as normal

Actual result
-----------------
Database throws error, cannot continue or login

TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)5.1.15+211011
I will donate to the project if issue is resolvedNo
Browser
Database type & versionCannot be retrieved
Server OS (if known)Debian 10
Webserver software & version (if known)
PHP Version8.0.11

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

nonformality

nonformality

2021-10-17 11:29

reporter   ~66857

Database version confirmed to be 473 (current) and 475 (target)
galads

galads

2021-10-19 09:55

administrator   ~66870

Last edited: 2021-10-21 13:15

Hello, did you try to upgrade using Comfort update or manually?
nonformality

nonformality

2021-10-19 10:22

reporter   ~66872

Last edited: 2021-10-21 13:15

Hey galads, manually (as always)
ollehar

ollehar

2021-10-20 10:56

administrator   ~66879

Last edited: 2021-10-21 13:15

Hm, this is due to faulty entries in the label set tables. There's logic to do cleanup before update, but it seems to be broken.
c_schmitz

c_schmitz

2021-11-04 08:23

administrator   ~67099

@nonformality Can you please provide an SQL export of the tables labelsets and labels before the update?
Thank you.
gabrieljenik

gabrieljenik

2021-11-05 19:10

manager   ~67148

Can I ask which DB engine it is?
ollehar

ollehar

2021-11-09 17:13

administrator   ~67214

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32885
c_schmitz

c_schmitz

2021-12-01 09:28

administrator   ~67623

New version released

Related Changesets

LimeSurvey: master bf23bc92

2021-11-09 17:12:56

ollehar

Details Diff
Fixed issue 17665: Update leads to database error integrity constraint violation because of duplicate entry

Dev: Languages in LS3 label sets are separated by space, not comma
Affected Issues
17665
mod - application/helpers/update/updatedb_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-10-17 11:01 nonformality New Issue
2021-10-17 11:29 nonformality Note Added: 66857
2021-10-17 11:29 nonformality Bug heat 0 => 2
2021-10-19 09:55 galads Note Added: 66870
2021-10-19 09:55 galads Bug heat 2 => 4
2021-10-19 09:55 galads Assigned To => galads
2021-10-19 09:55 galads Status new => feedback
2021-10-19 10:22 nonformality Note Added: 66872
2021-10-19 10:22 nonformality Status feedback => assigned
2021-10-20 10:56 ollehar Note Added: 66879
2021-10-20 10:56 ollehar Bug heat 4 => 6
2021-11-04 08:23 c_schmitz Status assigned => feedback
2021-11-04 08:23 c_schmitz Note Added: 67099
2021-11-04 08:23 c_schmitz Bug heat 6 => 8
2021-11-05 19:10 gabrieljenik Note Added: 67148
2021-11-05 19:10 gabrieljenik Bug heat 8 => 10
2021-11-09 17:13 ollehar Changeset attached => LimeSurvey master bf23bc92
2021-11-09 17:13 ollehar Note Added: 67214
2021-11-09 17:13 ollehar Assigned To galads => ollehar
2021-11-09 17:13 ollehar Resolution open => fixed
2021-11-09 17:13 ollehar Status feedback => testing
2021-11-22 17:02 ollehar Status testing => resolved
2021-12-01 09:28 c_schmitz Note Added: 67623
2021-12-01 09:28 c_schmitz Status resolved => closed